#!/bin/bash

out="handout.pdf"

while [ "$1" != '' ]
  do
    [ $1 == "-nolist" ] && nolist=true && shift
    [ $1 == "-o" ] && shift && out=$1 && shift
done

if [ "$nolist" == true ]
  then
    list="T"
    listpdf="leer.pdf"
    listpdftk="${list}=${listpdf}"
  else
    list="T"
    listpdf="../../Teilnehmer/Teilnehmer.pdf"
    listpdftk="${list}=${listpdf}"
fi

echo cleaning before build ...
rm handout.pdf 2> /dev/null
rm temp* 2> /dev/null

echo building handout ...
pdftk C=../main.pdf E=leer.pdf O=../backside.pdf cat C E E O output temp.pdf verbose

echo updating metadata and compress
pdftk temp.pdf update_info meta.txt output $out compress

echo cleaning after build ...
rm temp*.* 2> /dev/null

echo Done!
